--- title: "Pre-check node rolling restart" slug: "cdss-rollingrestartprecheck" updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/cdss-rollingrestartprecheck" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Pre-check node rolling restart Available in VPC Check whether rolling restart is possible for a Cloud Data Streaming Service cluster. Caution Rolling restart may cause data loss or intermittent interruptions. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/cluster/rollingRestartPreCheck (Korea Region) | | POST | /api/sgn-v1/cluster/rollingRestartPreCheck (Singapore Region) | | POST | /api/jpn-v1/cluster/rollingRestartPreCheck (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-clouddatastreamingservice-cluster-getclusterinfolist). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/rollingRestartPreCheck' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "serviceGroupInstanceNo": 1009***** }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message - Restart available: `SUCCESS` is displayed. - Request syntax error or restart unavailable: Failure cause is displayed. | | `result` | Boolean | - | Response result - `true` \| `null` - `true`: succeeded - `null`: failed | | `requestId` | String | - | ID for the request - UUID format | ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: #### If restart is possible based on check results The following is a sample response if the restart is available based on the check results. ``` { "code": 0, "message": "SUCCESS", "result": true, "requestId": "8f734c6a-****-****-****-656c09f23905" } ``` #### If restart is not possible based on check results The following is a sample response if the restart is unavailable based on the check results. ``` { "code": 3, "message": "Invalid Service Group Instance No", "result": null, "requestId": "5e6de965-****-****-****-5e88ad379d45" } ```